2012-08-28 15:31:44 +02:00
|
|
|
--- ./scripts/Makefile.am.orig 2012-03-20 08:07:25.000000000 +0000
|
|
|
|
+++ ./scripts/Makefile.am 2012-06-01 11:39:13.000000000 +0000
|
|
|
|
@@ -25,6 +25,7 @@ EXTRA_DIST = \
|
|
|
|
rpmconfig_SCRIPTS = \
|
|
|
|
brp-compress brp-python-bytecompile brp-java-gcjcompile \
|
|
|
|
brp-strip brp-strip-comment-note brp-python-hardlink \
|
|
|
|
+ brp-suse \
|
|
|
|
brp-strip-shared brp-strip-static-archive \
|
|
|
|
check-files check-prereqs \
|
|
|
|
check-buildroot check-rpaths check-rpaths-worker \
|
|
|
|
--- ./scripts/brp-strip-comment-note.orig 2012-03-20 08:07:25.000000000 +0000
|
|
|
|
+++ ./scripts/brp-strip-comment-note 2012-06-01 11:39:13.000000000 +0000
|
|
|
|
@@ -16,6 +16,8 @@ esac
|
2006-12-19 00:17:44 +01:00
|
|
|
# for already stripped elf files in the build root
|
2012-08-28 15:31:44 +02:00
|
|
|
for f in `find "$RPM_BUILD_ROOT" -type f \( -perm -0100 -or -perm -0010 -or -perm -0001 \) -exec file {} \; | \
|
2006-12-19 00:17:44 +01:00
|
|
|
grep -v "^${RPM_BUILD_ROOT}/\?usr/lib/debug" | \
|
|
|
|
+ grep -v ' shared object,' | \
|
|
|
|
+ grep -v '/lib/modules/' | \
|
|
|
|
sed -n -e 's/^\(.*\):[ ]*ELF.*, stripped/\1/p'`; do
|
|
|
|
note="-R .note"
|
2011-05-16 18:07:44 +02:00
|
|
|
if $OBJDUMP -h $f | grep '^[ ]*[0-9]*[ ]*.note[ ]' -A 1 | \
|
2012-08-28 15:31:44 +02:00
|
|
|
--- ./scripts/brp-strip.orig 2012-03-20 08:07:25.000000000 +0000
|
|
|
|
+++ ./scripts/brp-strip 2012-06-01 11:39:13.000000000 +0000
|
|
|
|
@@ -15,6 +15,7 @@ esac
|
|
|
|
for f in `find "$RPM_BUILD_ROOT" -type f \( -perm -0100 -or -perm -0010 -or -perm -0001 \) -exec file {} \; | \
|
|
|
|
grep -v "^${RPM_BUILD_ROOT}/\?usr/lib/debug" | \
|
|
|
|
grep -v ' shared object,' | \
|
|
|
|
+ grep -v '/lib/modules/' | \
|
|
|
|
sed -n -e 's/^\(.*\):[ ]*ELF.*, not stripped/\1/p'`; do
|
|
|
|
$STRIP -g "$f" || :
|
|
|
|
done
|
|
|
|
--- ./scripts/brp-suse.orig 2012-06-01 11:39:13.000000000 +0000
|
|
|
|
+++ ./scripts/brp-suse 2012-06-01 11:39:13.000000000 +0000
|
2012-01-20 11:58:48 +01:00
|
|
|
@@ -0,0 +1,13 @@
|
2011-12-11 22:58:21 +01:00
|
|
|
+#! /bin/sh
|
2006-12-19 00:17:44 +01:00
|
|
|
+
|
2011-12-11 22:58:21 +01:00
|
|
|
+# If using normal root, avoid changing anything:
|
|
|
|
+if [ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ]; then
|
|
|
|
+ exit 0
|
2006-12-19 00:17:44 +01:00
|
|
|
+fi
|
|
|
|
+
|
2012-02-01 14:47:14 +01:00
|
|
|
+for script in /usr/lib/rpm/brp-suse.d/brp*; do
|
2011-12-11 22:58:21 +01:00
|
|
|
+ if test -x "$script"; then
|
|
|
|
+ echo "calling $script"
|
2012-01-20 11:58:48 +01:00
|
|
|
+ $script || exit 1
|
2011-12-11 22:58:21 +01:00
|
|
|
+ fi
|
2006-12-19 00:17:44 +01:00
|
|
|
+done
|